<?php


namespace Modules\PrintSuppliers\Services;
use PhpOffice\PhpSpreadsheet\IOFactory;

class BaseService
{

    public static function parseExcel($file) {
        $spreadsheet = IOFactory::load($file);
        $sheet = $spreadsheet->getActiveSheet();
        $result = [];
        $header = [];
        $k = 0;
        foreach ($sheet->getRowIterator() as $row) {
            $rowData = [];
            $i = 0;
            foreach ($row->getCellIterator() as $cell) {
                if ($k == 0) {
                    $header[] = $cell->getValue();
                } else {
                    $rowData[$header[$i]] = $cell->getValue();
                }
                $i++;
            }
            $k++;
            if ($rowData) {
                $result[] = $rowData;
            }
        }

        return $result;

    }
    public static function parseCSV($file) {
        $csvFile = fopen($file, 'r');
        $result = [];
        if ($csvFile !== false) {
            // Đọc tên cột từ dòng đầu tiên của tệp CSV
            $header = fgetcsv($csvFile);


            // Đọc từng dòng và chuyển đổi thành mảng kết hợp
            while (($row = fgetcsv($csvFile)) !== false) {
                $rowData = array();
                foreach ($header as $index => $columnName) {
                    $columnName = trim($columnName);
                    $rowData[$columnName] = $row[$index];
                }
                $result[] = $rowData;
            }
            // Đóng tệp CSV
            fclose($csvFile);
        }
        return $result;
    }

}